----------------------------------------------
--		Serenity Now						--
--			By Shampow on US-Archimonde		--
----------------------------------------------

SN = LibStub("AceAddon-3.0"):NewAddon("SerenityNow", "AceEvent-3.0", "AceTimer-3.0")
SN.LSM = LibStub("LibSharedMedia-3.0")

SN.timers = LibStub("LibFancyBar-1.0")
local AceDB = LibStub("AceDB-3.0")
local AceDBOptions = LibStub("AceDBOptions-3.0")

SN.curr = {}
SN.F = {} 	-- Frames
SN.V = {} -- Variables

	
function SN:OnEnable()
	
	SN:GetPowerColor()
	currentpower = UnitPower("player")
	maxpower = UnitPowerMax("player")
	SN:RegisterEvent("UNIT_DISPLAYPOWER", "UpdatePowerType")
	
end


function SN:OnInitialize()

	if count == 1 then return end
	
	SN:SetupVars()

	-- DB
	SN.db = AceDB:New("SNDB", SN.defaults, true)
	
	SN.profileDB = SN.db.profile
	
	--Check to see if ElvUI is loaded so we can make the bars purty
	if (IsAddOnLoaded("ElvUI")) then
		local E, L, V, P, G, _ = unpack(ElvUI)
	end

	--Timer Groups
	SN:Debuffs()
	SN:CoolDowns()
		
	-- setup the power bar
	SN:SetupPower()

	local index = 0
	for i, cooldown in pairs(SN.cooldowns) do
		if (SN.defaults["profile"]["cooldown"][cooldown['name']]) then
			index = index + 1
			SN.curr[cooldown['spellID']] = {}
		end
	end
	for i, cooldown in pairs(SN.debuffs) do
		if (SN.defaults["profile"]["debuff"][cooldown['name']]) then
			index = index + 1
			SN.curr[cooldown['spellID']] = {}
		end
	end
	
   count = 1
end